### Method

# Ide VcsMonitor ref_root

#### Declaration

    GFile*
    ide_vcs_monitor_ref_root (
      IdeVcsMonitor* self
    )

#### Description

Gets the `IdeVcsMonitor:root` property and increments the reference count of the `GFile` by one.

Available since: | 3.32

#### Return value

Returns: | `GFile`
| A `GFile` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.